| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IDummyTransformationSceneNode Class Reference

Dummy scene node for adding additional transformations to the scene graph. More...

`#include <IDummyTransformationSceneNode.h>`

Inheritance diagram for irr::scene::IDummyTransformationSceneNode:

List of all members.

## Public Member Functions

- IDummyTransformationSceneNode (ISceneNode *parent, ISceneManager *mgr, s32 id)
    Constructor.
- virtual core::matrix4 & getRelativeTransformationMatrix ()=0
    Returns a reference to the current relative transformation matrix.

## Detailed Description

Dummy scene node for adding additional transformations to the scene graph.

This scene node does not render itself, and does not respond to set/getPosition, set/getRotation and set/getScale. Its just a simple scene node that takes a matrix as relative transformation, making it possible to insert any transformation anywhere into the scene graph. This scene node is for example used by the IAnimatedMeshSceneNode for emulating joint scene nodes when playing skeletal animations.

Definition at line 23 of file IDummyTransformationSceneNode.h.

## Constructor & Destructor Documentation

irr::scene::IDummyTransformationSceneNode::IDummyTransformationSceneNode | ( | ISceneNode * | parent,
|  | ISceneManager * | mgr,
|  | s32 | id
| ) |  | `[inline]`

Constructor.

Definition at line 28 of file IDummyTransformationSceneNode.h.

## Member Function Documentation

virtual core::matrix4& irr::scene::IDummyTransformationSceneNode::getRelativeTransformationMatrix | ( |  | ) | `[pure virtual]`

Returns a reference to the current relative transformation matrix.

This is the matrix, this scene node uses instead of scale, translation and rotation.

The documentation for this class was generated from the following file:

- IDummyTransformationSceneNode.h